@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&display=swap');

:root{
    --purple-color: #8082F8;
    --white-color: #fff;
    --text-color: #020F2D;
}
html{
    -webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}
body{
    font-family: "Manrope", sans-serif;
    font-weight: 500;
    font-style: normal;
    background: #EEF4FF;
    text-size-adjust: none ;
	-webkit-text-size-adjust:none;
    -moz-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
}
a{
    color: var(--purple-color);
    -webkit-transition: all 0.5s ease-in-out;
    -moz-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
    -o-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
}
a,a:hover{
    text-decoration: none;
}
p{
    font-size: 16px;
    line-height: 24px;
    font-family: "Manrope", sans-serif;
    color: var(--text-color);
}
p:last-child{
    margin-bottom: 0;
}
h1, h2, h3{
    font-family: 'Bebas Neue';
    margin: 0;
}
h1{
    font-size: 200px;
    line-height: 160px;
}
h2{
    font-size: 72px;
    line-height: 60px;
    color: var(--purple-color);
    margin-bottom: 16px;
}
h3{
    font-size: 48px;
    line-height: 40px;
    color: var(--purple-color);
    margin-bottom: 16px;
}

.main-wrapper{
    width: 100%;
}
.container{
    max-width: 1224px;
    width: 100%;
}

/* Basic CSS Start */
.cta-btn{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    padding: 8px 24px;
    border-radius: 48px;
    font-size: 14px;
    color: var(--purple-color);
    background: var(--white-color);
    border: var(--purple-color) solid 1px;
}
.cta-btn > svg{
    margin-left: 8px;
}
.cta-btn:hover{
    background: var(--purple-color);
    color: var(--white-color);
}

.hero-bottom .scroll > img{
    animation: textRotation 8s linear infinite;
}
@keyframes textRotation {
	to {
		transform: rotate(360deg);
	}
}
.o-image_wrapper{
    overflow: hidden;
    position: relative;
}
.o-image{
    opacity:1;
}
.o-image img{
    opacity:0;
    transform:scale(.5);
    transition:opacity 1.2s cubic-bezier(.215,.61,.355,1),transform 1.2s cubic-bezier(.215,.61,.355,1);
    width:100%
}
.o-image.is-inview img{
    opacity:1;
    transform:scale(1);
    transition-delay:.1s;
}
.text-animation.is-inview{
    opacity:1;
    transform:none;
    transition-duration:.8s
}
.text-animation{
    opacity:0;
    transform:translateY(100%) rotateX(-80deg);
    transform-origin:center top;
    transform-style:preserve-3d;
    transition:opacity 0s cubic-bezier(.215,.61,.355,1),transform 0s cubic-bezier(.215,.61,.355,1)
}
/* Basic CSS End */

/* Hero Section Start */
header{
    position: fixed;
    top: 0;
    padding: 32px 32px 0 32px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    z-index: 1;
}
header .logo{
    display: inline-flex;
}
.hero-banner{
    position: relative;
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
}
.hero-banner:before{
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: url(../images/hero-pattern.svg) no-repeat center;
    background-size: 100% auto;
}
.hero-banner .content{
    max-width: 685px;
    width: 100%;
    margin: 0 auto;
    text-align: center;
}
.hero-banner .content .title{
    color: var(--purple-color);
}
.hero-banner .content .title span{
    display: block;
}
.hero-banner .content .tagline{
    margin-top: 24px;
    font-family: 'Bebas Neue';
    font-size: 32px;
    line-height: 32px;
    color: var(--purple-color);
    display: inline-block;
}
.hero-banner .content .tagline svg{
    margin-right: 8px;
}
.banner-bottom{
    padding: 0 32px;
    position: absolute;
    bottom: 32px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 14px;
    color: var(--purple-color);
}
.banner-bottom .available-text{
    display: flex;
    align-items: center;
    justify-content: center;
    border: var(--purple-color) solid 1px;
    border-radius: 40px;
    height: 32px;
    padding: 8px 16px;
}
.banner-bottom .available-text:before{
    content: "";
    display: block;
    margin-right: 8px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: var(--purple-color);
    transform: scale(1);
    animation: pulse-primary 1.5s infinite;
}
@keyframes pulse-primary {
  0% {
    transform:scale(.95);
    box-shadow:0 0 var(--purple-color);
  }
  70% {
    transform:scale(1);
    box-shadow:0 0 0 5px #61fc6400;
  }
}
.banner-bottom p{
    font-size: 14px;
    line-height: 18px;
    color: var(--purple-color);
}
.banner-bottom .time-text{
    position: absolute;
    left: 50%;
    margin-left: -47px;
}
/* Hero Section End */

/* About Section Start */
.about-section{
    background: var(--white-color) url(../images/about-pattern.svg) no-repeat left center;
    padding-top: 120px;
    overflow: hidden;
    max-height: 800px;
    position: relative;
}
.about-section .about-left .shape-1,
.about-section .about-left .shape-2{
    position: absolute;
}
.about-section .about-left .shape-2{
    bottom: 120px;
    animation: textRotation 3s linear infinite;
}
.about-section .about-left .me-img{
    max-width: 390px;
    width: 100%;
    margin-left: 120px;
}
.about-section .about-right{
    padding-top: 45px;
    padding-right: 70px;
}
.about-section .round-patttern{
    position: absolute;
    top: 0;
    right: 0;
    width: 50px;
    height: 100%;
}
.about-section .round-patttern:before{
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: url(../images/round-pattern.svg) repeat-y;
    animation: moveDown 20s infinite linear;
}
@keyframes moveDown {
  0% {
    background-position: left 0;
  }
  100% {
    background-position: left -100%;
  }
}
/* About Section End */

/* Experience Section Start */
.experience-section,
.work-section{
    padding: 120px 0;
    overflow: hidden;
    position: relative;
}
.experience-list ul{
    padding: 0;
    margin: 0;
    list-style: none;
}
.experience-list ul li{
    display: flex;
    justify-content: space-between;
    border-bottom: #C3CDE0 solid 1px;
    padding-bottom: 24px;
    margin-bottom: 24px;
}
.experience-list ul li:last-child{
    margin-bottom: 0;
}
.experience-section .pattern{
    position: absolute;
    top: 0;
    left: calc(50% - 830px);
    background: url(../images/experience-pattern.svg) no-repeat left center;
    background-size: cover;
    width: 725px;
    height: 725px;
}
/* Experience Section End */

/* Work Section Start */
.work-section{
    background: var(--white-color);
}
.work-wrapper{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-top: 48px;
}
.work-wrapper .work-box{
    width: calc(50% - 24px);
}
.work-wrapper .work-box:nth-child(2n+2){
    margin-top: 100px;
}
.work-wrapper .work-box img{
    border-radius: 16px;
    border: #DDDDDD solid 1px;
    margin-bottom: 8px;
    box-shadow: 0 6px 10px rgba(0,0,0,.03);
}
.work-wrapper .work-box .work-title{
    font-size: 16px;
    font-weight: 600;
}
/* Work Section End */

/* Client Section Start */
.client-section{
    padding-top: 120px;
    padding-bottom: 120px;
}
.logos-wrapper{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 20px;
    padding-top: 48px;
}
.logos-wrapper .c-logo{
    background: var(--white-color);
    width: calc(100% / 5 - 20px);
    border-radius: 16px;
    padding: 33px 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.client-section .wave-line{
    margin-top: 120px;
}
/* Client Section End */

/* Skill Section Start */
.skill-section{
    /* padding-top: 120px; */
    padding-bottom: 120px;
}
.skill-section .title{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 48px;
}
.skill-section .title h2{
    margin: 0;
}
.skill-section .title p{
    max-width: 450px;
    width: 100%;
}
.skill-section .skill-box{
    background: var(--white-color);
    border-radius: 24px;
    padding: 40px;
    height: 100%;
    box-shadow: 0 8px 16px #E8EDF7;
}
.skill-section .skill-box ul{
    margin: 0;
    padding: 0 0 0 14px;
}
.skill-section .skill-box ul.colum-2{
    -webkit-columns: 2;
    columns: 2;
}
.skill-section .skill-box ul li{
    -webkit-break-inside: avoid;
    break-inside: avoid;
    line-height: 32px;
}
/* Skill Section End */

/* Footer Start */
footer{
    display: inline-flex;
    width: 100%;
    background: var(--purple-color) url(../images/round.svg) center top no-repeat;
    padding-top: 120px;
    padding-bottom: 64px;
}
footer h2{
    color: var(--white-color);
    max-width: 470px;
    width: 100%;
    text-align: center;
    margin: 0 auto;
}
footer .buttons{
    display: flex;
    justify-content: center;
    gap: 24px;
    padding-top: 48px;
    position: relative;
    z-index: 1;
}
footer .buttons .f-button{
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border: var(--white-color) solid 1px;
    color: var(--white-color);
    max-width: 320px;
    width: 100%;
    padding: 19px 24px;
    border-radius: 64px;
    overflow: hidden;
}
footer .buttons .f-button:hover{
    color: var(--text-color);
}
footer .buttons .f-button:after{
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: var(--white-color);
    z-index: -1;
    transform: scaleX(0);
    -webkit-transition: transform .5s;
    -moz-transition: transform .5s;
    -ms-transition: transform .5s;
    -o-transition: transform .5s;
    transition: transform .5s;
    border-radius: 64px;
}
footer .buttons .f-button:hover:after{
    transform: scaleX(1);
}

footer .buttons .f-button svg{
    margin-left: 8px;
}
.copyright{
    margin-top: 120px;
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
}
.copyright p{
    margin: 0;
}
.copyright *{
    color: var(--white-color);
}
/* Footer End */

/* Modal Start */
.modal-dialog{
    max-width: 800px;
    width: 100%;
    margin: 0 auto;
}
.modal-backdrop{
    background: rgba(0,0,0,.1);
    backdrop-filter: blur(13px);
    -webkit-backdrop-filter: blur(60px);
}
.modal-backdrop.show{
    opacity: 1;
}
.modal-backdrop.fade{
    transition: opacity .5s linear;
}
.modal-content{
    border: 0;
    background: var(--white-color) !important;
    border-radius: 40px !important;
    padding: 56px;
    -webkit-backdrop-filter: blur(100px) !important;
    backdrop-filter: blur(100px) !important;
    position: relative;
}
.btn-close{
    position: absolute;
    top: 32px;
    right: 32px;
    width: 18px;
    height: 18px;
    padding: 0;
    opacity: 1;
    z-index: 1;
    background: url('data:image/svg+xml,<svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M0.373345 0.373345C0.871137 -0.124448 1.67822 -0.124448 2.17601 0.373345L9 7.19733L15.824 0.373345C16.3218 -0.124448 17.1289 -0.124448 17.6267 0.373345C18.1244 0.871137 18.1244 1.67822 17.6267 2.17601L10.8027 9L17.6267 15.824C18.1244 16.3218 18.1244 17.1289 17.6267 17.6267C17.1289 18.1244 16.3218 18.1244 15.824 17.6267L9 10.8027L2.17601 17.6267C1.67822 18.1244 0.871137 18.1244 0.373345 17.6267C-0.124448 17.1289 -0.124448 16.3218 0.373345 15.824L7.19733 9L0.373345 2.17601C-0.124448 1.67822 -0.124448 0.871137 0.373345 0.373345Z" fill="black"/></svg>');
}
.btn-close:focus{
    outline: none;
    box-shadow: none;
}
.hire-popup-content h3{
    color: var(--purple-color);
    font-size: 40px;
    margin-bottom: 16px;
}
.hire-popup-content .form-group{
    width: calc(50% - 8px);
    margin-top: 16px;
}
.hire-popup-content .form-group.full{
    width: 100%;
}
.hire-popup-content input:focus,
.hire-popup-content textarea:focus,
.hire-popup-content select{
    box-shadow: none;
    outline: 0;   
}
.hire-popup-content input[type="text"],
.hire-popup-content input[type="email"],
.hire-popup-content input[type="tel"],
.hire-popup-content select,
.hire-popup-content textarea{
    font-family: "Manrope", sans-serif;
    font-weight: 500;
    width: 100%;
    background: var(--white-color);
    border: #ddd solid 1px;
    border-radius: 14px;
    min-height: 56px;
    padding: 16px 20px;
    font-size: 16px;
    color: var(--text-color);
    resize: none;
}
.hire-popup-content input::placeholder,
.hire-popup-content select::placeholder,
.hire-popup-content textarea::placeholder{
    color: var(--text-color);
}
.hire-popup-content select{
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    color: var(--text-color);
    background: var(--white-color) url(../images/select-arrow.svg) no-repeat calc(100% - 20px) center;
}
.hire-popup-content select option {
    background-color: #575851;
    border: 0px;
}
.hire-popup-content textarea{
    height: 130px;
    display: block;
}
.hire-popup-content .submit-btn{
    margin-top: 16px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 56px;
    padding: 8px 24px;
    border-radius: 48px;
    font-size: 15px;
    font-weight: 600;
    color: var(--white-color);
    background: var(--purple-color);
    border: 0;
    -webkit-transition: all 0.5s ease-in-out;
    -moz-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
    -o-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
}
.hire-popup-content .submit-btn:hover{
    background: var(--text-color);
    color: var(--white-color);
}


.dropdown {
    position: relative;
    display: inline-block;
    width: 100%;
}

.dropdown-trigger {
    background: url(../images/select-arrow.svg) no-repeat calc(100% - 20px) center;
    border: #ddd solid 1px;
    border-radius: 14px;
    min-height: 56px;
    padding: 16px 20px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 150px;
    font-size: 16px;
    width: 100%;
}
.arrow {
    margin-left: auto;
    font-size: 0;
}
.dropdown-menu {
    display: none;
    position: absolute;
    background: var(--white-color);
    width: 100%;
    z-index: 1;
    margin-top: -1px;
    padding: 0;
    list-style-type: none;
}
.dropdown-menu li {
    padding: 10px 15px;
    cursor: pointer;
}
.dropdown-menu li:hover {
    background-color: #f5f5f5;
}
.dropdown-menu .reset-option {
    font-style: italic;
    color: #999;
}
.dropdown.open .dropdown-menu {
    display: block;
}
.hire-popup-content .form-group .dropdown-menu{
    border-radius: 14px;
}
/* Modal End */
.error, .error-message {
    color: rgb(197, 43, 43);
}

@media(max-width: 1440px){
    .container{
        padding-left: 20px;
        padding-right: 20px;
    }
}
@media(max-width: 1366px){

}
@media(max-width: 1199px){

    .about-section .about-left .me-img{
        max-width: 350px;
        margin-left: 100px;
    }

}
@media(max-width: 1080px){

}
@media(max-width: 991px){

    h1{
        font-size: 160px;
        line-height: 130px;
    }
    .about-section,
    footer{
        padding-top: 80px;
    }
    .experience-section,
    .work-section,
    .client-section{
        padding: 80px 0;
    }
    .client-section .wave-line,
    .copyright{
        margin-top: 80px;
    }
    .skill-section{
        padding-bottom: 80px;
    }
    footer{
        padding-bottom: 40px;
    }


    .logos-wrapper{
        justify-content: center;
    }
    .logos-wrapper .c-logo{
        width: calc(100% / 4 - 20px);
        padding: 16px 24px;
        min-height: 90px;
    }
    .about-section{
        max-height: inherit;
    }
    .about-section .about-right{
        padding-top: 0;
        padding-right: 48px;
    }
    .about-section .row [class*="col-"]:first-child{
        order: 2;
        margin-top: 48px;
    }
    .about-section .about-left .me-img{
        margin: 0 auto -300px auto;
    }
    .work-wrapper .work-box:nth-child(2n+2){
        margin-top: 48px;
    }
    .skill-section .skill-box ul,
    .skill-section .skill-box ul.colum-2{
        -webkit-columns: 3;
        columns: 3;
    }
    .skill-section .skill-box ul li{
        -webkit-break-inside: avoid;
        break-inside: avoid;
    }
    .skill-section .row [class*="col-"]:not(:last-child){
        margin-bottom: 24px;
    }
    .modal-content{
        padding: 32px;
        margin: 0 20px;
    }
    .experience-img{
        max-width: 300px;
        width: 100%;
        margin: 0 auto;
    }
    .experience-section .pattern{
        top: 50%;
        left: 50%;
        transform: translateX(-50%) translateY(-50%);
    }

}
@media(max-width: 767px){

    h1{
        font-size: 140px;
        line-height: 110px;
    }
    h2{
        font-size: 56px;
        line-height: 56px;
    }
    .about-section,
    footer{
        padding-top: 48px;
    }
    .experience-section,
    .work-section,
    .client-section{
        padding: 48px 0;
    }
    .client-section .wave-line,
    .copyright{
        margin-top: 48px;
    }
    .skill-section{
        padding-bottom: 48px;
    }
    footer{
        padding-bottom: 40px;
    }
    .work-wrapper .work-box{
        width: calc(50% - 12px);
    }
    .skill-section .title p{
        max-width: 320px;
    }
    .logos-wrapper .c-logo {
        width: calc(100% / 3 - 20px);
        padding: 16px 24px;
        min-height: 90px;
    }
    .banner-bottom p{
        display: none;
    }
    .banner-bottom .time-text{
        left: auto;
        right: 32px;
        margin-left: 0;
    }

}
@media(max-width: 575px){

    h1{
        font-size: 80px;
        line-height: 70px;
    }
    h2{
        font-size: 44px;
        line-height: 44px;
    }
    h3{
        font-size: 32px;
    }
    header{
        padding: 20px 20px 0 20px;
    }
    .banner-bottom{
        padding: 0 20px;
    }
    
    .about-section .round-patttern{
        width: 30px;
    }
    .about-section .round-patttern::before{
        background-size: 60px;
    }
    .experience-list ul li{
        flex-wrap: wrap;
        padding-bottom: 16px;
        margin-bottom: 16px;
    }
    .experience-list ul li span{
        width: 100%;
    }
    .skill-section .skill-box{
        padding: 24px;
    }
    .skill-section .title{
        flex-wrap: wrap;
    }
    .skill-section .title h2{
        margin-bottom: 10px;
        width: 100%;
    }
    .skill-section .title p{
        max-width: 100%;
    }
    .skill-section .skill-box ul, .skill-section .skill-box ul.colum-2{
        -webkit-columns: 1;
        columns: 1;
    }
    footer .buttons{
        flex-wrap: wrap;
    }
    .work-wrapper .work-box{
        width: 100%;
        margin-top: 24px;
    }
    .work-wrapper .work-box:first-child{
        margin-top: 0;
    }
    .work-wrapper .work-box:nth-child(2n+2){
        margin-top: 24px;
    }
    .logos-wrapper .c-logo{
        width: calc(100% / 2 - 20px);
        padding: 16px 56px;
        min-height: 105px;
    }
    .hire-popup-content .form-group {
        width: 100%;
    }
    .hire-popup-content input[type="text"],
    .hire-popup-content input[type="email"],
    .hire-popup-content input[type="tel"],
    .hire-popup-content select,
    .hire-popup-content textarea,
    .dropdown-trigger{
        border-radius: 8px;
        min-height: 48px;
        padding: 10px 20px;
        font-size: 15px;
    }
    .hire-popup-content .form-group .dropdown-menu{
        border-radius: 8px;
    }
    .hire-popup-content h3{
        font-size: 30px;
    }
    .modal-content {
        padding: 24px;
        border-radius: 22px !important;
    }


}
@media(max-width: 479px){

    .logos-wrapper .c-logo{
        padding: 16px 40px;
        min-height: 90px;
    }
    
}

@media(max-width: 380px){

    .logos-wrapper .c-logo {
        padding: 16px 24px;
        min-height: 70px;
    }

}